Security flaw found for those using VPN PPTP with IPv6

The article this post refers to is one of the reasons VPNCheck Pro was created.

Security flaw has been discovered in operating systems using IPv6 with VPN PPTP. Right now those are Vista, Windows 7 and Ubuntu. Ipredator, Relakks are few VPN services which this affects.

To fix these issues in Vista and Windows 7 do the following:

Run cmd as administrator and type netsh interface teredo set state disabled. This disables the IPv6 tunneling which can reveal your true IP.

For Ubuntu 10+ paste this into a terminal:

echo “#disable ipv6? | sudo tee -a /etc/sysctl.conf
echo “net.ipv6.conf.all.disable_ipv6 = 1? | sudo tee -a /etc/sysctl.conf
echo “net.ipv6.conf.default.disable_ipv6 = 1? | sudo tee -a /etc/sysctl.conf
echo “net.ipv6.conf.lo.disable_ipv6 = 1? | sudo tee -a /etc/sysctl.conf

Source: http://torrentfreak.com/huge-security-flaw-makes-vpns-useless-for-bittorrent-100617/

Comments are closed.

Next generation network security and virtual telecommunication